%define PGSQL pgsql
%define ROOT %_localstatedir/%PGSQL-root

Name: libpq2
Version: 7.3
Release: alt3

Summary: The shared libraries required for any PostgreSQL clients.
License: BSD
Group: Databases
Url: http://www.postgresql.org/

Packager: Konstantin Timoshenko <kt@altlinux.ru>

Source: ftp://ftp.postgresql.org/pub/source/v%version/postgresql-%version.tar.bz2
Patch0: postgresql-7.2-include.patch
Patch1: postgresql-7.3-alt-chroot.patch
Patch2: postgresql-7.2.1-tinfo.patch
Patch3: postgresql-7.2-pgtcl.patch

Provides: postgresql-libs = %version-%release
Obsoletes: postgresql-libs 

%description
C libraries to enable user programs to communicate with the
PostgreSQL database backend. The backend can be on another machine and
accessed through TCP/IP.

%prep
%setup -q -n postgresql-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
./configure %_target_platform \
	--prefix=%prefix \
	--mandir=%_mandir \
	--docdir=%_docdir \
	--includedir=%_includedir/%PGSQL \
	--sysconfdir=%_sysconfdir/%PGSQL \
	--datadir=%_datadir/%PGSQL \
	--localstatedir=%_localstatedir \
	--enable-hba \
	--enable-recode \
	--enable-nls \
	--with-pam \
	--with-openssl \
	--with-CXX \
	--with-perl \
	--with-x \
	--with-tcl --with-tclconfig=%_libdir \
	--without-tk \
	--with-readline \
	--with-python \
	--disable-rpath

%make_build pkglibdir=%_libdir/%PGSQL

%install
%make_build install DESTDIR=$RPM_BUILD_ROOT pkglibdir=%_libdir/%PGSQL

pushd $RPM_BUILD_ROOT%_libdir
ln -s libpq.so.2 libpq.so.2.0
popd

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/libpq.so.*

%changelog
* Mon Jan 27 2003 Stanislav Ievlev <inger@altlinux.ru> 7.3-alt3
- second build (added provides/obsoletes posgresql-libs)

* Thu Jan 23 2003 Konstantin Timoshenko <kt@altlinux.ru> 7.3-alt1
- first build
